Subject: Re: [bitcoin-dev] Trustless 2-way-peg without softfork

From: Dr Maxim Orlovsky <[email-masked]>
Date: Fri, 15 Sep 2023 09:31:10 +0000

Hi,

I got a lot of feedback on my proposal -- and it appears that I have to work on a simpler paper explaining how the proposed generic model ("Prometheus") can be applied to a specific case of two-way peg. I have planned this work for the next several weeks and will post it to this mailing list once ready.

Kind regards,
Maxim

------- Original Message -------
On Monday, September 11th, 2023 at 5:26 PM, G. Andrew Stone via bitcoin-dev <[email-masked]> wrote:

> Any chance of a quick tldr to pique our interest by explaining how exactly this works "and the protocol will reach consensus on whether the state reported by the oracle is correct" in presumably a permissionless, anonymous, decentralized fashion, and what caveats there are?
> 
> Regards,
> Andrew
> 
> On Sun, Sep 10, 2023 at 4:06 PM Dr Maxim Orlovsky via bitcoin-dev <[email-masked]> wrote:
> 
> > Hi,
> > 
> > Several years ago my team from Pandora Project working on censorship-resistant distributed machine learning proposed Prometheus: a protocol for high-load computing on top of Bitcoin. The protocol operates as a multi-party game setting where an oracle ("worker") is provided with an arbitrary computationally complex task (any Turing-complete computing, machine learning training or inference etc) and the network is able to reach a consensus on whether a result reported by the worker is true. The consensus is reached via optional rounds of verification and arbitrage. The protocol is cryptoeconomically-safe, i.e. has a proven Nash equilibrium. The protocol was later transferred to LNP/BP Standards Association (https://lnp-bp.org) and was kept in a backlog of what can be done in a future as a layer on top of Bitcoin.
> > 
> > I'd like to emphasize that Prometheus works on Bitcoin, requires just several Bitcoin tx per task, and _doesn't require any soft fork_. All economic setting is done with Bitcoin as a means of payment, and using existing Bitcoin script capabilities.
> > 
> > Link to the paper describing the protocol: <https://github.com/Prometheus-WG/prometheus-spec/blob/master/prometheus.pdf>
> > 
> > Only today I have realized that Prometheus protocol can be used to build cryptoeconomically-safe (i.e. trustless) 2-way-peg on the Bitcoin blockchain without any soft-forks: a "worker" in such a case acts as an oracle for some extra-bitcoin system (sidechain, client-side-validated protocol, zk rollup etc) validating it, and the protocol will reach consensus on whether the state reported by the oracle is correct.
> > 
> > In other words, this is an alternative to BIP-300 and other similar soft-forks having the only purpose of doing 2-way pegs. It also enables the two-way trustless transfer of Bitcoins between Bitcoin blockchain, RGB and, in a future, potential new layer 1 called "prime" (to learn more about prime you can check my Baltic Honeybadger talk <https://www.youtube.com/live/V3vvybsc1A4?feature=shared&t=23631>).
> > 
> > 
> > Kind regards,
> > Dr Maxim Orlovsky
> > Twitter: @dr_orlovsky
> > Nostr: npub13mhg7ksq9efna8ullmc5cufa53yuy06k73q4u7v425s8tgpdr5msk5mnym
> > 
> > LNP/BP Standards Association
> > Twitter: @lnp_bp
> > 
> > _______________________________________________
> > bitcoin-dev mailing list
> > [email-masked]
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev